org.apache.torque.generator.source

## Class SourceElementNodePointer

- java.lang.Object
- - org.apache.commons.jxpath.ri.model.NodePointer
  - - org.apache.torque.generator.source.SourceElementNodePointer

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable, org.apache.commons.jxpath.Pointer

      public class SourceElementNodePointer
      extends org.apache.commons.jxpath.ri.model.NodePointer

  A node pointer pointing to a SourceElement.
  Version:
    $Id: $
  Author:
    Dmitri Plotnikov, Thomas Fox
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer

      `index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SourceElementNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, SourceElement sourceElement)`
    `protected` | `SourceElementNodePointer(SourceElement sourceElement, Locale locale)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.jxpath.ri.model.NodeIterator` | `attributeIterator(org.apache.commons.jxpath.ri.QName qname)`
    `org.apache.commons.jxpath.ri.model.NodeIterator` | `childIterator(org.apache.commons.jxpath.ri.compiler.NodeTest test, boolean reverse, org.apache.commons.jxpath.ri.model.NodePointer startWith)`
    `int` | `compareChildNodePointers(org.apache.commons.jxpath.ri.model.NodePointer pointer1, org.apache.commons.jxpath.ri.model.NodePointer pointer2)`
    `Object` | `getBaseValue()`
    `Object` | `getImmediateNode()`
    `int` | `getLength()`
    `org.apache.commons.jxpath.ri.QName` | `getName()`
    `boolean` | `isCollection()`
    `boolean` | `isLeaf()`
    `void` | `setValue(Object value)`
    `boolean` | `testSourceElement(org.apache.commons.jxpath.ri.compiler.NodeTest test)`
    `static boolean` | `testSourceElement(SourceElement sourceElement, org.apache.commons.jxpath.ri.compiler.NodeTest test)` Test a Node.

    - ### Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer

      `asPath, clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, escape, getAbstractFactory, getDefaultNamespaceURI, getImmediateParentPointer, getImmediateValuePointer, getIndex, getLocale, getNamespaceResolver, getNamespaceURI, getNamespaceURI, getNode, getNodeSetByKey, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isActual, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, remove, setAttribute, setIndex, setNamespaceResolver, testNode, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceElementNodePointer

          protected SourceElementNodePointer(SourceElement sourceElement,
                                             Locale locale)

    - #### SourceElementNodePointer

          protected SourceElementNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent,
                                             SourceElement sourceElement)

  - ### Method Detail

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### isCollection

          public boolean isCollection()

      Specified by:
        `isCollection` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getName

          public org.apache.commons.jxpath.ri.QName getName()

      Specified by:
        `getName` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getBaseValue

          public Object getBaseValue()

      Specified by:
        `getBaseValue` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getImmediateNode

          public Object getImmediateNode()

      Specified by:
        `getImmediateNode` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `org.apache.commons.jxpath.Pointer`
      Specified by:
        `setValue` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### compareChildNodePointers

          public int compareChildNodePointers(org.apache.commons.jxpath.ri.model.NodePointer pointer1,
                                              org.apache.commons.jxpath.ri.model.NodePointer pointer2)

      Specified by:
        `compareChildNodePointers` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### childIterator

          public org.apache.commons.jxpath.ri.model.NodeIterator childIterator(org.apache.commons.jxpath.ri.compiler.NodeTest test,
                                                                               boolean reverse,
                                                                               org.apache.commons.jxpath.ri.model.NodePointer startWith)

      Overrides:
        `childIterator` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### attributeIterator

          public org.apache.commons.jxpath.ri.model.NodeIterator attributeIterator(org.apache.commons.jxpath.ri.QName qname)

      Overrides:
        `attributeIterator` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### testSourceElement

          public boolean testSourceElement(org.apache.commons.jxpath.ri.compiler.NodeTest test)

    - #### testSourceElement

          public static boolean testSourceElement(SourceElement sourceElement,
                                                  org.apache.commons.jxpath.ri.compiler.NodeTest test)

      Test a Node.
      Parameters:
        `sourceElement` - node to test
        `test` - to execute
      Returns:
        true if node passes test

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.